Package org.apache.el.lang

## Class ExpressionBuilder

- java.lang.Object
- - org.apache.el.lang.ExpressionBuilder

All Implemented Interfaces:
  `org.apache.el.parser.NodeVisitor`

    public final class ExpressionBuilder
    extends Object
    implements org.apache.el.parser.NodeVisitor

Author:
  Jacob Hookom [jacob@hookom.net]

### Constructor Summary

Constructors
`ExpressionBuilder​(String expression, ELContext ctx)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`MethodExpression` `createMethodExpression​(Class<?> expectedReturnType, Class<?>[] expectedParamTypes)`
`static org.apache.el.parser.Node` `createNode​(String expr)`
`ValueExpression` `createValueExpression​(Class<?> expectedType)`
`void` `visit​(org.apache.el.parser.Node node)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExpressionBuilder

    public ExpressionBuilder​(String expression,
                             ELContext ctx)
                      throws ELException

Throws:
  `ELException`

### Method Detail

#### createNode

    public static org.apache.el.parser.Node createNode​(String expr)
                                                throws ELException

Throws:
  `ELException`

#### visit

    public void visit​(org.apache.el.parser.Node node)
               throws ELException

Specified by:
  `visit` in interface `org.apache.el.parser.NodeVisitor`
Throws:
  `ELException`

#### createValueExpression

    public ValueExpression createValueExpression​(Class<?> expectedType)
                                          throws ELException

Throws:
  `ELException`

#### createMethodExpression

    public MethodExpression createMethodExpression​(Class<?> expectedReturnType,
                                                   Class<?>[] expectedParamTypes)
                                            throws ELException

Throws:
  `ELException`